---
name: Bug Report
about: Report a bug in the Neo4j Javascript Driver
labels: "bug"
---

<!--
    If you are an Enterprise customer, you might want to head over to our
    [Customer Support Portal](https://support.neo4j.com/).
-->

<!--
    If you are unsure about the usage of the driver, this issue tracker is not
    the right place to ask. Please use one of the following channels instead:
    - Neo4j Online Community: https://community.neo4j.com/
    - StackOverflow: https://stackoverflow.com/questions/tagged/neo4j
    - Discord: https://discord.gg/neo4j
    - Neo4j Support Portal if you are an enterprise customer:
      https://support.neo4j.com/
    or check the documentation:
    - API documentation: https://neo4j.com/docs/api/javascript-driver/current/
    - Driver manual: https://neo4j.com/docs/javascript-manual/current/
-->

<!--
    Make sure you've searched the issue tracker for similar issues first.
-->


# Bug Report
<!-- description of the found bug -->

<!--
    Information to include:
    Often, driver debug logs go a long way.
    See https://neo4j.com/docs/javascript-manual/current/client-applications/#js-driver-logging on
    how to enable them.
    Also, **full** stacktraces are very helpful if Exceptions are involved.
    A minimal reproducer if possible
    https://stackoverflow.com/help/minimal-reproducible-example
-->


# My Environment
Javascript Runtime Version: <!-- for instance, the output of `node --version` or the browser version -->
Driver Version: <!-- 5.3.0, for instance -->
Neo4j Version and Edition: <!-- e.g., Neo4j 4.4.3 enterprise cluster -->
Operating System: <!-- e.g., Windows 10, Ubuntu 18.04, macOS 10.15 -->
